Page MenuHomePhabricator

Thai calendar dates on arabic wikipedia causing errors in Google Search Console
Closed, ResolvedPublic

Description

Google is unhappy with thai calendar dates we currently have showing up in <time> tags on arwiki:

https://ar.wikipedia.org/wiki/%D8%A8%D8%B7%D9%88%D9%84%D8%A9_%D8%A7%D9%84%D8%B9%D8%A7%D9%84%D9%85_%D9%84%D9%83%D8%B1%D8%A9_%D8%A7%D9%84%D9%82%D8%AF%D9%85_%D8%AF%D8%A7%D8%AE%D9%84_%D8%A7%D9%84%D8%B5%D8%A7%D9%84%D8%A7%D8%AA_2008

<time itemprop="startDate" datetime="2551-09-30T20:30:00+00:00" style="display:block;overflow:auto"><span class="mobile-float-reset" style="display:block;float:left">30-09-2551</span><span class="mobile-float-reset" style="display:block;clear:left;float:left">20:30</span></time>

The errors started on December 26:

I presume Google expects Gregorian dates instead in those HTML tags.

Event Timeline

Gilles created this task.Jan 6 2020, 9:33 AM
Restricted Application added subscribers: alaa, Aklapper. · View Herald TranscriptJan 6 2020, 9:33 AM
alaa added a comment.Jan 6 2020, 12:08 PM

Hello, is there any thing(s) that arwiki community can help in?

@alanajjar Is it common for arwiki articles like this one to use the islamic calendar? I see at the bottom that the categories are Gregorian years. The issue would certainly go away if those dates were converted to Gregorian years in the affected article. The error Google reported is only for that article, but I see no edits on December 26. Maybe a template changed?

ssastry added a subscriber: ssastry.EditedJan 6 2020, 1:27 PM

I don't think this is related to Parsoid/PHP deployment. Looking at output from Parsoid/JS & Parsoid/PHP, output is identical .. the HTML comes from a template, so probably worth looking there:

data-mw='{"parts":[{"template":{"target":{"wt":"ﺺﻧﺩﻮﻗ ﻙﺭﺓ ﻕﺪﻣ\n","href":"./ﻕﺎﻠﺑ:ﺺﻧﺩﻮﻗ_ﻙﺭﺓ_ﻕﺪﻣ"},"params":{"ﺕﺍﺮﻴﺧ":{"wt":"30-09-2551"},"ﻮﻘﺗ":{"wt":"20:30"},"ﻑﺮﻴﻗ1":{"wt":"{{ﻙ ﻕ-ﻲﻣ|BRA}}"},"ﻦﺘﻴﺟﺓ":{"wt":"12 –  1"},"ﺖﻗﺮﻳﺭ":{"wt":""},"ﻑﺮﻴﻗ2":{"wt":"{{ﻊﻠﻣ|ﺎﻠﻳﺎﺑﺎﻧ}}"},"ﺄﻫﺩﺎﻓ1":{"wt":""},"ﺄﻫﺩﺎﻓ2":{"wt":""},"ﻢﻠﻌﺑ":{"wt":"บราซิเลีย"},"ﺢﺿﻭﺭ":{"wt":""},"ﺢﻜﻣ":{"wt":""}},"i":0}}]}

So, this piece of wikitext on the page:

{{صندوق كرة قدم
|تاريخ = 30-09-2551
|وقت = 20:30
|فريق1 = {{ك ق-يم|BRA}}
|نتيجة = 12 –  1
|تقرير = 
|فريق2 = {{علم|اليابان}}
|أهداف1 = 
|أهداف2 =
|ملعب = บราซิเลีย
|حضور = 
|حكم =}}
Gilles updated the task description. (Show Details)
Gilles updated the task description. (Show Details)

|ملعب = บราซิเลีย

Maybe OT but this line puzzles me: It says in Thai that the location was "Brasilia".

Gilles added a comment.Jan 7 2020, 8:37 AM

Actually, this is very on topic! It made me realise that 2551 is the Thai calendar year, the islamic calendar is actually behind, it should be 1428. 2008 in Gregorian.

I presume this is a copy-pasta or content translation thing from Thai wikipedia gone bad. Editors should fix the dates on that article and the Google Search issue should go away.

Gilles renamed this task from Arabic calendar dates causing errors in Google Search Console to Thai calendar dates on arabic wikipedia causing errors in Google Search Console.Jan 7 2020, 8:38 AM
Gilles updated the task description. (Show Details)
alaa added a comment.EditedJan 7 2020, 11:11 AM

Sorry for late.

Of course, it's not an Islamic calendar! as the current Islamic year is 1441 AH (runs from approximately 1 September 2019 to 20 August 2020). So to reach 2551 (on the article) we need another 1100 years! It's Buddhist calendar.

@alanajjar Is it common for arwiki articles like this one to use the Islamic calendar?

No, in arwiki we are using either Gregorian calendar or both (Islamic & Gregorian) at the same time.

The error Google reported is only for that article, but I see no edits on December 26. Maybe a template changed?

Ummm, I don't know, but this text (Buddhist calendar) exist since 11 November 2009!

I presume this is a copy-pasta thing from Thai wikipedia gone bad.

Yes, copied from this.

Editors should fix the dates on that article and the Google Search issue should go away.
I left a comment on the talk page

I removed all of this lines as it's a repetition of already exist information.

Gilles closed this task as Resolved.Jan 7 2020, 11:14 AM
Gilles claimed this task.

I presume the googlebot that looks for metadata errors just happened to randomly discover that page. Anyway, thanks for fixing this!